EDIT - feature request #2200

Handle multiple authors for names correctly when caching
01/17/2011 02:48 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: cdmlib RELEASE 3.1.3

Severity: normal

Description

Mail von Ralf:

(4) Das Thema ist zwar teilweise schon er-/bekannt, aber ich erwéhne
es, weil auch die anderen E-Floren das Problem bekommen werden. Die
"Berliner Schule" kiirzt im Fall von mehr als 2 nomenklatorischen Autoren mit & al.
ab. Viele andere machen das nicht; so auch die Zypern-Checkliste. Gibt
man also mehr als 2 Autoren im Editor ein, werden im Portal-Baum die
Autorennamen mit angezeigt (auch in der General-Uberschrift). Das ist

wohl zuné&chst ein Parsing-Problem.

History

#1 - 01/17/2011 02:48 PM - Andreas Miuller

Hallo Paco,

hier gleich mal was Spanisches:

Carex cyprica A. Mol., Acedo & Llamas

Carex egorovae A. Mol., Acedo & Llamas

Solenopsis bivonae (Tineo) M. B. Crespo, Serra & Juan

Beste GrufBe

Ralf

#2 - 01/17/2011 02:49 PM - Andreas Miiller

Hallo Ralf,

Ich gebe zu, dass es da noch ein bischen Finetunings Bedarf beim Parsen und Cachen. Jedoch ist es auch jetzt schon méglich, die Namen richtig
atomisiert einzugeben indem du jeden Autor mit & trennst. Ich habe das mal mit Carex cyprica gemacht. Einziges Problem: es wird derzeit auch noch
S0 angezeigt.

Viele GrufBe,

Andreas M.

#3 - 05/25/2012 03:21 PM - Andreas Miuller

- Status changed from New to Resolved

Maybe fixed by #2223
#4 - 05/25/2012 03:23 PM - Andreas Miiller

Replying to a.mueller:

Maybe fixed by #2223

but data still needs to be updated

#5 - 05/25/2012 03:23 PM - Andreas Miiller
- Target version changed from cdmlib - Next Major Release to cdm_dataportal RELEASE 3.0.11

#6 - 06/27/2012 03:01 PM - Andreas Kohlbecker
- Target version changed from cdm_dataportal RELEASE 3.0.12 to cdmlib RELEASE 3.0.12

#7 - 06/27/2012 05:57 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.0.12 to cdmlib RELEASE 3.0.11

as this is fixed and only needs reviewing | will keep it in 3.0.11

#8 - 06/28/2012 10:48 AM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.0.11 to cdmlib RELEASE 3.0.12

#9 - 06/28/2012 03:57 PM - Andreas Miiller

- Subject changed from Handle multiple authors for names correctly. to Handle multiple authors for names correctly when caching

#10 - 07/19/2012 02:32 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.0.13 to cdmlib RELEASE 3.0.12

#11 - 07/19/2012 02:59 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.0.12 to cdmlib RELEASE 3.0.13

#12 - 02/04/2013 01:54 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.1.4 to cdmlib RELEASE 3.1.3

moved back to last release Milestone

please finish review until 25.2.2013

#13 - 12/01/2020 11:23 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#14 - 12/22/2020 08:16 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

This can be closed as it works now as expected. Open data issues are handled in #9364
The only directly related issues are in:

Campanula: 43
Diptera: 77
FdAC: 92
Palmae: 266 !

Guianas: 3(?)
FM: 59(7?)

SELECT ab.DTYPE, ab.id, ab.titleCache, ab.nomenclaturaltitle, ab.protectedtitlecache, ab.protectednomenclatura
ltitlecache

FROM AgentBase ab

WHERE ab.nomenclaturaltitle LIKE '%&%&%' OR ab.titleCache LIKE '%&%6%';
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment3
https://dev.e-taxonomy.eu/redmine/issues/9364
http://www.tcpdf.org

